## cpio 2.11

=== debian/changelog ===
cpio (2.11-4+deb6u1) squeeze-lts; urgency=medium

  * Non-maintainer security upload by the Debian LTS team.
  * Include upstream patches for CVE-2014-9112. Fixes a buffer
    overrun and multiple NULL pointer dereference.
    Closes: #772793

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 15 Dec 2014 12:07:14 +0100

cpio (2.11-4) unstable; urgency=low

  * Apply patch from Didier Raboud to fix win32 output again.
    closes: #579533.

 -- Clint Adams <schizo@debian.org>  Thu, 29 Apr 2010 15:07:57 -0400

cpio (2.11-3) unstable; urgency=low

  * Return MT_EXIT_FAILURE instead of MT_EXIT_INVOP for fatal exits from
    mt.
  * Do not link mt with fatal.o even when automake is installed.
    closes: #576637.

 -- Clint Adams <schizo@debian.org>  Sat, 17 Apr 2010 11:17:31 -0400

cpio (2.11-2) unstable; urgency=medium

  * Patch from Sven Joachim to prevent /usr/share/info/dir.gz being
    shipped when install-info is present in the build environment.
    closes: #576620.

 -- Clint Adams <schizo@debian.org>  Tue, 06 Apr 2010 08:18:20 -0400

cpio (2.11-1) unstable; urgency=high

  * New upstream version.
    - Fixes CVE-2010-0624: Heap-based buffer overflow in GNU
      Tar and GNU Cpio.
  * Tweak mingw build to not fail.
  * Update watch file to pick bzip2-compressed tarballs.
  * Bump to Standards-Version 3.8.4.
  * Switch to 3.0 (quilt) source format.

 -- Clint Adams <schizo@debian.org>  Thu, 11 Mar 2010 00:05:20 -0500

cpio (2.10-2) unstable; urgency=low

  * Patch from Carl Miller to better handle device nodes from cramfs.
    closes: #565474.
  * Remove install-info invocations from prerm and postinst.
  * Depend on dpkg (>= 1.15.4) | install-info.
  * Bump to Standards-Version 3.8.3.

 -- Clint Adams <schizo@debian.org>  Mon, 18 Jan 2010 21:30:39 -0500

cpio (2.10-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.8.2.

 -- Clint Adams <schizo@debian.org>  Sat, 20 Jun 2009 11:53:36 -0400

cpio (2.9.90-3) unstable; urgency=low

  * Fix some variable types leading to spurious "file grew" errors for
    files larger than 4GB.  closes: #506714.

 -- Clint Adams <schizo@debian.org>  Mon, 02 Mar 2009 17:32:20 -0500

cpio (2.9.90-2) unstable; urgency=low

  * New upstream alpha release.

 -- Clint Adams <schizo@debian.org>  Tue, 24 Feb 2009 13:12:16 -0500

cpio (2.9-15) unstable; urgency=medium

  * Apply patch from Kees Cook to return proper exit codes.  closes:
    #514936.

 -- Clint Adams <schizo@debian.org>  Sat, 14 Feb 2009 13:55:42 -0500

cpio (2.9-14) unstable; urgency=low

  [ James Westby ]
  * Make sure that HAVE_GETPWNAM, HAVE_GETGRNAM, HAVE_GETPWUID and
    HAVE_GETGRGID are defined so that the real functions are used, rather
    than dummy ones. Having HAVE_GETPWNAM defined makes --owner work with
    user and group names again.
    - Also switch lib/system.h to use HAVE_GETPWUID instead of HAVE_PWUID.
    closes: #500264.

  [ Clint Adams ]
  * Bump to Standards-Version 3.8.0.

 -- Clint Adams <schizo@debian.org>  Fri, 26 Sep 2008 16:58:29 -0400

cpio (2.9-13) unstable; urgency=low

  * Remove pre-sarge fixup from postinst, and remove preinst entirely.

 -- Clint Adams <schizo@debian.org>  Thu, 03 Apr 2008 10:56:30 -0400

cpio (2.9-12) unstable; urgency=low

  * Use lib/argp.h and lib/argp-fmtstream.h from cpio 2.9.90 to use
    proper C99 or GNU89 inline semantics accordingly.  closes: #467055.

 -- Clint Adams <schizo@debian.org>  Sun, 23 Mar 2008 15:32:56 -0400

cpio (2.9-11) unstable; urgency=low

  * Apply patch from Robert Millan to set O_BINARY where available.
    closes: #464172.
  * Strip cpio.exe.  closes: #464208.

 -- Clint Adams <schizo@debian.org>  Tue, 05 Feb 2008 18:43:36 -0500

cpio (2.9-10) unstable; urgency=low

  * Only run `make distclean` when Makefile exists, and do not
    ignore errors from commands.

 -- Clint Adams <schizo@debian.org>  Mon, 04 Feb 2008 20:27:43 -0500

cpio (2.9-9) unstable; urgency=low

  * Remove GPLv3 from the copyright file and refer to the common
    license file.

 -- Clint Adams <schizo@debian.org>  Sun, 30 Dec 2007 10:34:25 -0500

cpio (2.9-8) unstable; urgency=low

  * Apply patch from Robert Millan to build cpio-win32 package.
    closes: #457866.

 -- Clint Adams <schizo@debian.org>  Thu, 27 Dec 2007 19:55:06 -0500

cpio (2.9-7) unstable; urgency=low

  * Bump to Standards-Version 3.7.3.
  * Rename XS-VCS-* to Vcs-* now that they are official.
  * Apply patch from Robert Millan to allow building in a separate
    obj dir.
  * Build in a separate obj dir.

 -- Clint Adams <schizo@debian.org>  Thu, 27 Dec 2007 10:26:08 -0500

cpio (2.9-6) unstable; urgency=low

  * Add missing space in info documentation.  closes: #449580.
  * Apply patch from Neil Williams for cross-building support.
    closes: #450514.

 -- Clint Adams <schizo@debian.org>  Tue, 06 Nov 2007 19:59:35 -0500

cpio (2.9-5) unstable; urgency=high

  * Apply patch from paxutils to fix a bug which may lead to a "crashing
    stack" [CVE-2007-4476].  closes: #449222.

 -- Clint Adams <schizo@debian.org>  Mon, 05 Nov 2007 18:05:02 -0500

cpio (2.9-4) unstable; urgency=low

  * Don't try to byteswap a pointer.  Fixes Launchpad bug #139928.

 -- Clint Adams <schizo@debian.org>  Sun, 30 Sep 2007 06:25:48 -0400

cpio (2.9-3) unstable; urgency=high

  * Patch from Aurelien Jarno to fix breakage on arm.
    closes: #438155.

 -- Clint Adams <schizo@debian.org>  Wed, 15 Aug 2007 22:40:09 -0400

cpio (2.9-2) unstable; urgency=high

  * Update copyright file.  closes: #431165.

 -- Clint Adams <schizo@debian.org>  Wed, 04 Jul 2007 09:30:04 -0400

cpio (2.9-1) unstable; urgency=low

  * New upstream release (under GPLv3).
    - Honor umask when creating intermediate directories, not specified
      in the archive.  closes: #430053.

 -- Clint Adams <schizo@debian.org>  Fri, 29 Jun 2007 13:29:13 -0400

cpio (2.8-1) unstable; urgency=low

  * New upstream release.
    - Includes updated nl.po.  closes: #427375.

