=== debian/control ===
Source: cpio
Section: utils
Priority: important
Maintainer: Clint Adams <schizo@debian.org>
Build-Depends: texinfo, gettext
Build-Depends-Indep: mingw32
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/private/schizo/cpio
Vcs-Browser: http://git.debian.org/?p=private/schizo/cpio/.git

Package: cpio
Architecture: any
Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
Replaces: cpio-mt
Conflicts: mt-st (<< 0.6), cpio-mt
Description: GNU cpio -- a program to manage archives of files
 GNU cpio is a tool for creating and extracting archives, or copying
 files from one place to another.  It handles a number of cpio formats
 as well as reading and writing tar files.

Package: cpio-win32
Architecture: all
Priority: extra
Suggests: wine
Description: GNU cpio -- a program to manage archives of files (win32 build)
 GNU cpio is a tool for creating and extracting archives, or copying
 files from one place to another.  It handles a number of cpio formats
 as well as reading and writing tar files.
 .
 This is a win32 version of cpio.  It's meant to be used by the win32-loader
 component of Debian-Installer.
