=== debian/watch ===
version=2

ftp://ftp.gnu.org/gnu/cpio/cpio-(.*)\.tar\.bz2
