## cpio 2.11%2Bdfsg

=== debian/changelog ===
cpio (2.11+dfsg-5ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian. Remaining changes:
    - Don't build a cpio-win32 package since mingw-w64 is in universe.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 18 Feb 2016 09:36:00 -0500

cpio (2.11+dfsg-5) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * CVE-2016-2037: 1-byte out-of-bounds write (Closes: #812401)

  [ Jérémy Bobbio ]
  * Make the package build reproducibly:
    - Fix mtimes before building binary packages.
    - Stop recording the current time when creating gzip files.
    - Sort file list in md5sums.
    Closes: #774426

  [ Anibal Monsalve Salazar ]
  * Standards-Version: 3.9.6

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 14 Feb 2016 12:01:51 +0000

cpio (2.11+dfsg-4.1ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Don't build a cpio-win32 package since mingw-w64 is in universe.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 08 Mar 2015 09:31:21 +0000

cpio (2.11+dfsg-4.1) unstable; urgency=medium

  * Apply patch by Vitezslav Cizek of SuSE to fix CVE-2015-1197.
    Upstream is dormant or no longer existing. To restore the old
    behaviour use --extract-over-symlinks (Closes: #774669)
    This issue has been discovered by Alexander Cherepanov.

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 05 Mar 2015 11:44:25 +0100

cpio (2.11+dfsg-4ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Don't build a cpio-win32 package since mingw-w64 is in universe.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 04 Jan 2015 21:47:10 +0000

cpio (2.11+dfsg-4) unstable; urgency=high

  [ Michael Gilbert <mgilbert@debian.org> ]
  * Fix CVE-2014-9112: null pointer dereference issues.
    Add the following upstream patches:
    fd262d11.patch
    f6a8a2cb.patch
    Closes: #772793.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 22 Dec 2014 11:42:11 +0000

cpio (2.11+dfsg-3) experimental; urgency=medium

  * Use default compression source options
  * Fix CVE-2014-9112: out of bounds write and insufficient range checking.
    Add the following upstream patches:
    746f3ff6.patch
    54d1c42a.patch
    58df4f1b.patch
    Closes: #772793.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 12 Dec 2014 10:41:11 +0000

cpio (2.11+dfsg-2ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Don't build a cpio-win32 package since mingw-w64 is in universe.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 30 Apr 2014 10:46:28 +0100

cpio (2.11+dfsg-2) unstable; urgency=medium

  [ Stephen Kitt ]
  * Build using mingw-w64 instead of mingw32. Closes: #623402.
  * Clean up autom4te.cache and config.guess/config.sub to allow building
    twice in a row.

  [ Anibal Monsalve Salazar ]
  * Standards Version is 3.9.5
  * Commented out Vcs-Git and Vcs-Browser in debian/control

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 27 Mar 2014 01:49:54 +0000

cpio (2.11+dfsg-1ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Don't build a cpio-win32 package since mingw32 is in universe.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 02 Jun 2013 13:01:14 +0100

cpio (2.11+dfsg-1) unstable; urgency=low

  * Standards Version is 3.9.4
  * Remove reference to texinfo documntation in cpio man page
    Update debian/patches/695717-no-cpio.info.patch
    Closes: #695717
  * Build depends on autotools-dev 
    Autoconf update for arm64 building
    Drop debian/patches/autoconfupdate.patch
    Closes: #689612
  * Update debian/watch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 01 Jun 2013 08:54:41 +1000

cpio (2.11+dfsg-0.2ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Don't build a cpio-win32 package since mingw32 is in universe.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 13:48:29 +0100

cpio (2.11+dfsg-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Make cpio build with glibc 2.16 and newer, closes: #701389, #693440
  * Make cpio multiarch ready before the bug gets one year old: closes: #678385 
  * remove dependency on install-info/dpkg since info file was dropped in
    #695717
  * Update config.guess and config.sub for aarch64 bootstrapping

 -- Riku Voipio <riku.voipio@linaro.org>  Thu, 23 May 2013 09:46:11 +0300

cpio (2.11+dfsg-0.1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Don't build a cpio-win32 package since mingw32 is in universe.
    - Mark cpio Multi-Arch: foreign.
    - Update config.guess and config.sub for aarch64.
    - Fix build failure with glibc 2.16.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Jan 2013 09:15:17 +0000

cpio (2.11+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove non DFSG-compliant doc/cpio.info and doc/cpio.texi from source.
    Closes: #695717
  * Do not build nor ship cpio.info because of the above.

 -- David Prévot <taffit@debian.org>  Sat, 29 Dec 2012 22:02:30 -0400

cpio (2.11-8ubuntu5) raring; urgency=low

  * Revert build-dependency from gettext:any to gettext, now that gettext is
    Multi-Arch: foreign.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Nov 2012 15:00:49 +0000

cpio (2.11-8ubuntu4) raring; urgency=low

  * Fix FTBFS with glibc-2.16 (due to outdated gnulib/gets removal;
    LP: #1079748).

 -- Wookey <wookey@wookware.org>  Fri, 16 Nov 2012 16:59:53 +0000

cpio (2.11-8ubuntu3) quantal; urgency=low

  * Update config.guess,sub for aarch64

 -- Wookey <wookey@wookware.org>  Mon, 01 Oct 2012 12:56:42 +0100

cpio (2.11-8ubuntu2) quantal; urgency=low

  * Mark cpio Multi-Arch foreign, for cross-build-deps (closes: #678385)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 13 Jul 2012 21:32:41 -0600

cpio (2.11-8ubuntu1) quantal-proposed; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/control: Don't build a cpio-win32 package since mingw32

