=== debian/control ===
Source: cpio
Section: utils
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Ruben Molina <rmolina@udea.edu.co>
Build-Depends: texinfo, gettext, autotools-dev
Standards-Version: 3.9.6
Homepage: http://www.gnu.org/software/cpio/
#Vcs-Git: git://git.debian.org/git/private/schizo/cpio
#Vcs-Browser: http://git.debian.org/?p=private/schizo/cpio/.git

Package: cpio
Architecture: any
Depends: ${shlibs:Depends}
Replaces: cpio-mt
Conflicts: mt-st (<< 0.6), cpio-mt
Multi-Arch: foreign
Suggests: libarchive1
Description: GNU cpio -- a program to manage archives of files
 GNU cpio is a tool for creating and extracting archives, or copying
 files from one place to another.  It handles a number of cpio formats
 as well as reading and writing tar files.
