=== debian/rules ===
--- 
+++ 
@@ -13,15 +13,13 @@
 DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+STRIP = $(DEB_HOST_GNU_TYPE)-strip
 else
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
+STRIP = strip
 endif
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -O0
-else
-CFLAGS += -O2
-endif
+BUILD_DATE := $(shell dpkg-parsechangelog | sed -n -e 's/^Date: //p')
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 INSTALL_PROGRAM += -s
@@ -29,8 +27,10 @@
 
 obj/Makefile:
 	$(checkdir)
+	-test -r /usr/share/misc/config.sub && cp -f /usr/share/misc/config.sub build-aux/config.sub
+	-test -r /usr/share/misc/config.guess && cp -f /usr/share/misc/config.guess build-aux/config.guess
 	mkdir -p obj
-	cd obj && CFLAGS='$(CFLAGS)' CPIO_MT_PROG=mt ../configure --prefix=/usr $(CROSS) \
+	cd obj && CPIO_MT_PROG=mt ../configure $(shell dpkg-buildflags --export=configure) --prefix=/usr $(CROSS) \
 	       --mandir=/usr/share/man \
 	       --infodir=/usr/share/info \
 	       --bindir=/bin \
@@ -41,8 +41,11 @@
 obj-win32/Makefile:
 	$(checkdir)
 	mkdir -p obj-win32
-	cd obj-win32 && CFLAGS='$(CFLAGS)' ../configure --host i586-mingw32msvc
+# static to avoid needing the pthreads DLL
+	cd obj-win32 && CFLAGS='-static $(CFLAGS)' ../configure --host i686-w64-mingw32
 
+build-arch: build
+build-indep: build
 build:	obj/Makefile
 	$(checkdir)
 	$(MAKE) -C obj
@@ -65,6 +68,8 @@
 	$(RM) -r obj obj-win32
 	$(RM) -r *~ debian/tmp debian/tmp-win32 debian/*~ debian/files*
 	$(RM) -f debian/substvars
+	$(RM) -rf autom4te.cache
+	$(RM) -f build-aux/config.guess build-aux/config.sub
 
 binary-indep:	checkroot build build-win32
 	$(checkdir)
@@ -76,20 +81,22 @@
 		debian/tmp-win32/usr/share/win32
 # Install files
 	install -m 755 obj-win32/src/cpio.exe debian/tmp-win32/usr/share/win32/
-	i586-mingw32msvc-strip debian/tmp-win32/usr/share/win32/cpio.exe
+	i686-w64-mingw32-strip debian/tmp-win32/usr/share/win32/cpio.exe
 # Install changelog & copyright
 	install -m 644 debian/changelog \
 	  debian/tmp-win32/usr/share/doc/$(package)-win32/changelog.Debian
-	gzip -9v debian/tmp-win32/usr/share/doc/$(package)-win32/*
+	gzip -9nv debian/tmp-win32/usr/share/doc/$(package)-win32/*
 	install -m 644 debian/copyright debian/tmp-win32/usr/share/doc/$(package)-win32/.
 
 # Generate md5sums
-	cd debian/tmp-win32 && find * -type f ! -regex '^DEBIAN/.*' -print0 | xargs -r0 md5sum > DEBIAN/md5sums
+	cd debian/tmp-win32 && find * -type f ! -regex '^DEBIAN/.*' -print0 | LC_ALL=C sort -z | xargs -r0 md5sum > DEBIAN/md5sums
 
 # Generate deb file
 	dpkg-gencontrol -pcpio-win32 -Pdebian/tmp-win32
 	chown -R root.root debian/tmp-win32
 	chmod -R g-ws debian/tmp-win32
+	find debian/tmp-win32 -depth -newermt '$(BUILD_DATE)' -print0 | \
+		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
 	dpkg-deb --build debian/tmp-win32 ..
 
 binary-arch:	checkroot build
@@ -113,7 +120,7 @@
 	  debian/tmp/usr/share/man/man1/mt-gnu.1
 # Strip binaries (including hack by policy wonks)
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	strip -R.note -R.comment debian/tmp/bin/*
+	$(STRIP) -R.note -R.comment debian/tmp/bin/*
 endif
 	rm -rf debian/tmp/usr/sbin
 # Install documentation
@@ -122,21 +129,22 @@
 # Install changelog & copyright
 	install -m 644 debian/changelog \
 	  debian/tmp/usr/share/doc/$(package)/changelog.Debian
-	gzip -9v debian/tmp/usr/share/doc/$(package)/*
-	gzip -9v debian/tmp/usr/share/man/*/*
-	gzip -9v debian/tmp/usr/share/info/*
-	rm -f debian/tmp/usr/share/info/dir.gz
+	gzip -9nv debian/tmp/usr/share/doc/$(package)/*
+	gzip -9nv debian/tmp/usr/share/man/*/*
+	rm -rf debian/tmp/usr/share/info
 	install -m 644 debian/copyright debian/tmp/usr/share/doc/$(package)/.
 # Determine shared library dependencies
 	dpkg-shlibdeps debian/tmp/bin/cpio debian/tmp/bin/mt-gnu
 
 # Generate md5sums
-	cd debian/tmp && find * -type f ! -regex '^DEBIAN/.*' -print0 | xargs -r0 md5sum > DEBIAN/md5sums
+	cd debian/tmp && find * -type f ! -regex '^DEBIAN/.*' -print0 | LC_ALL=C sort -z | xargs -r0 md5sum > DEBIAN/md5sums
 
 # Generate deb file
 	dpkg-gencontrol -pcpio -Pdebian/tmp
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
+	find debian/tmp -depth -newermt '$(BUILD_DATE)' -print0 | \
+		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
 	dpkg-deb --build debian/tmp ..
 
 define checkdir
@@ -145,7 +153,7 @@
 
 # Below here is fairly generic really
 
-binary:		binary-indep binary-arch
+binary:		binary-arch
 
 source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
