## cpio 2.11+dfsg

=== debian/changelog ===
cpio (2.11+dfsg-6) unstable; urgency=medium

  * Man page for "mt" describes how to "fast erase"
    Patch by Kees Cook
    Add fix.mt-erase.manpage.patch
    Closes: #770198
  * Backport "New options to create device and inode-independent
    archives." from cpio 2.12
    Patch by Chris Lamb
    Add reproducible.patch
    See #804063
  * Standards-Version: 3.9.8
  * Refresh patches

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 29 Nov 2016 12:31:53 +0000
