=== debian/control ===
Source: cpio
Section: utils
Priority: important
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Ruben Molina <rmolina@udea.edu.co>
Build-Depends: texinfo, gettext, autotools-dev
Build-Depends-Indep: mingw-w64
Standards-Version: 3.9.8
Homepage: http://www.gnu.org/software/cpio/
#Vcs-Git: git://git.debian.org/git/private/schizo/cpio
#Vcs-Browser: http://git.debian.org/?p=private/schizo/cpio/.git

Package: cpio
Architecture: any
Depends: ${shlibs:Depends}
Replaces: cpio-mt
Conflicts: mt-st (<< 0.6), cpio-mt
Multi-Arch: foreign
Suggests: libarchive1
Description: GNU cpio -- a program to manage archives of files
 GNU cpio is a tool for creating and extracting archives, or copying
 files from one place to another.  It handles a number of cpio formats
 as well as reading and writing tar files.

Package: cpio-win32
Architecture: all
Priority: extra
Suggests: wine
Description: GNU cpio -- a program to manage archives of files (win32 build)
 GNU cpio is a tool for creating and extracting archives, or copying
 files from one place to another.  It handles a number of cpio formats
 as well as reading and writing tar files.
 .
 This is a win32 version of cpio.  It's meant to be used by the win32-loader
 component of Debian-Installer.
