=== debian/rules ===
--- 
+++ 
@@ -153,7 +153,7 @@
 
 # Below here is fairly generic really
 
-binary:		binary-arch
+binary:		binary-indep binary-arch
 
 source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
