## cpio 2.12%2Bdfsg

=== debian/changelog ===
cpio (2.12+dfsg-6ubuntu0.18.04.4) bionic-security; urgency=medium

  * SECURITY UPDATE: arbitrary code execution via crafted pattern file
    - debian/patches/CVE-2021-38185.patch: rewrite dynamic string support
      in src/copyin.c, src/copyout.c, src/copypass.c, src/dstring.c,
      src/dstring.h, src/util.c.
    - debian/patches/CVE-2021-38185.2.patch: don't call ds_resize in a loop
      in src/dstring.c.
    - debian/patches/CVE-2021-38185.3.patch: fix dynamic string
      reallocations in src/dstring.c.
    - CVE-2021-38185

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 25 Aug 2021 06:53:46 -0400

cpio (2.12+dfsg-6ubuntu0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Improper input validation
    - debian/patches/CVE-2019-14866.patch: improve diagnostics,
      remove to_oct_or_error, adding new macro in
      src/copyout.c, src/extern.h, src/tar.c.
    - CVE-2019-14866

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 05 Nov 2019 15:09:06 -0300

cpio (2.12+dfsg-6) unstable; urgency=medium

  * Upload to unstable.
    - Update debian/gbp.conf.
  * Remove empty directories under usr/share/man.
  * debian/control: "Priority: extra" has been replaced with "Priority:
    optional".

 -- Chris Lamb <lamby@debian.org>  Sat, 02 Dec 2017 09:27:39 +0000

cpio (2.12+dfsg-5) experimental; urgency=medium

  * debian/rules:
    - Don't set dpkg-architecture variables with "=".
    - Don't parse the output of dpkg-parsechangelog.
  * Bump Standards-Version to 4.1.1.
  * Use HTTPS URI in debian/watch.
  * Drop whitespace from end of changelog.

 -- Chris Lamb <lamby@debian.org>  Tue, 28 Nov 2017 19:45:14 +0900

cpio (2.12+dfsg-4) experimental; urgency=medium

  * Add missing autoconf to Build-Depends (Closes: #855572)

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Mar 2017 10:57:56 +0000

cpio (2.12+dfsg-3) experimental; urgency=medium

  * Remove rmt.8.gz. (Closes: #854584)

 -- Chris Lamb <lamby@debian.org>  Sat, 11 Feb 2017 22:55:11 +1300

cpio (2.12+dfsg-2) experimental; urgency=medium

  * Add missing autoconf to Build-Depends.

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Jan 2017 10:32:27 +0000

cpio (2.12+dfsg-1) experimental; urgency=medium

  * Add myself to Uploaders.
  * Add debian/gbp.conf.
  * New upstream release. (Closes: #804063)
    - Refresh patches.
  * Add autoreconf.patch for automake-1.15.
  * Add fix.win32-compat.patch.
  * Pass --enable-mt to ./configure instead setting CPIO_MT_PROG=mt environment
    variable.

 -- Chris Lamb <lamby@debian.org>  Sun, 01 Jan 2017 11:17:41 +0000
