## cpio 2.12+dfsg

=== debian/changelog ===
cpio (2.12+dfsg-9.lnd.3) security; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:04:01 +0800

cpio (2.12+dfsg-9.lnd.2) security; urgency=high

  * CVE-2019-14866: Check for size overflow in tar header fields.

 -- Zhailiangliang <zhailiangliang@loongson.cn> Fri, 19 Mar 2021 09:51:00 +0800

cpio (2.12+dfsg-9.lnd.1) unstable; urgency=medium

  * Debian/control and rules disable mingw-w64.

 -- Song Ding <songding@loongson.cn>  Mon, 14 Dec 2020 16:41:28 +0800

cpio (2.12+dfsg-9) unstable; urgency=medium

  * Reinstate the call to update-alternatives(1) that I didnt see in the prerm
    script. Thanks again to Ivo De Decker. (Closes: #926698)

 -- Chris Lamb <lamby@debian.org>  Tue, 23 Apr 2019 16:29:37 +0100

cpio (2.12+dfsg-8) unstable; urgency=medium

  * Drop symlink removal - it's been gone since 2001 anyway. Thanks, Ivo De
    Decker. (Closes: #926698)

 -- Chris Lamb <lamby@debian.org>  Tue, 23 Apr 2019 13:15:20 +0100

cpio (2.12+dfsg-7) unstable; urgency=medium

  * Don't remove /usr/sbin/rmt in a merged-usr environment in the prerm script.
    Thanks to Andreas Beckmann and Niels Thykier. (Closes: #926698)

 -- Chris Lamb <lamby@debian.org>  Tue, 23 Apr 2019 12:45:09 +0100
