## cpio 2.12+dfsg.1

=== debian/changelog ===
cpio (2.12+dfsg.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 5daaf633eee786758abaf010197889aa24a42788']

 -- shuttle <shuttle@deepin.com>  Tue, 04 Aug 2020 11:23:44 +0000
