## cpio 2.12+dfsg.4

=== debian/changelog ===
cpio (2.12+dfsg.4-1+deepin) unstable; urgency=medium

  * remove mingw-w64 from build-depeneds in loongarch64

 -- Ding Heng <dingheng@uniontech.com>  Mon, 10 Oct 2022 11:44:03 +0800

cpio (2.12+dfsg.3-1+dde) unstable; urgency=medium

  * fix CVE-2021-38185

 -- Ding Heng <dingheng@uniontech.com>  Sun, 09 Oct 2022 15:47:02 +0800

cpio (2.12+dfsg.2-1+dde) unstable; urgency=medium

  * Port to sw64

 -- deepin/sw64 team <sunway@deepin.com>  Mon, 22 Feb 2021 06:37:47 +0000

cpio (2.12+dfsg.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * 

 -- zhouzilong <zhouzilong@uniontech.com>  Sun, 05 Jul 2020 17:30:48 +0800
