=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Ruben Molina <rmolina@udea.edu.co>, Chris Lamb <lamby@debian.org>
 Build-Depends: texinfo, gettext, autotools-dev, autoconf
-Build-Depends-Indep: mingw-w64
+Build-Depends-Indep: mingw-w64 [!sw_64 !loongarch64]
 Standards-Version: 4.1.1
 Homepage: http://www.gnu.org/software/cpio/
 #Vcs-Git: git://git.debian.org/git/private/schizo/cpio
