=== debian/rules ===
--- 
+++ 
@@ -38,11 +38,13 @@
 
 	touch tests/testsuite tests/package.m4
 
-#obj-win32/Makefile:
-#	$(checkdir)
-#	mkdir -p obj-win32
-## static to avoid needing the pthreads DLL
-#	cd obj-win32 && CFLAGS='-static $(CFLAGS)' ../configure --host i686-w64-mingw32
+obj-win32/Makefile:
+ifeq ($(filter $(DEB_BUILD_ARCH), sw_64 loongarch64), )
+	$(checkdir)
+	mkdir -p obj-win32
+# static to avoid needing the pthreads DLL
+	cd obj-win32 && CFLAGS='-static $(CFLAGS)' ../configure --host i686-w64-mingw32
+endif
 
 build-arch: build
 build-indep: build
@@ -55,10 +57,12 @@
 endif
 	touch build
 
-#build-win32:	obj-win32/Makefile
-#	$(checkdir)
-#	$(MAKE) -C obj-win32
-#	touch build-win32
+build-win32:	obj-win32/Makefile
+ifeq ($(filter $(DEB_BUILD_ARCH), sw_64 loongarch64), )
+	$(checkdir)
+	$(MAKE) -C obj-win32
+	touch build-win32
+endif
 
 clean:
 	$(checkdir)
@@ -71,33 +75,35 @@
 	$(RM) -rf autom4te.cache
 	$(RM) -f build-aux/config.guess build-aux/config.sub
 
-#binary-indep:	checkroot build build-win32
-#	$(checkdir)
-#	$(RM) -r debian/tmp-win32
-#	$(INSTALL_DIR) debian/tmp-win32 debian/tmp-win32/DEBIAN
-#	$(INSTALL_DIR) debian/tmp-win32/usr/share/doc/$(package)-win32
-## Install directories
-#	$(INSTALL_DIR) 	\
-#		debian/tmp-win32/usr/share/win32
-## Install files
-#	install -m 755 obj-win32/src/cpio.exe debian/tmp-win32/usr/share/win32/
-#	i686-w64-mingw32-strip debian/tmp-win32/usr/share/win32/cpio.exe
-## Install changelog & copyright
-#	install -m 644 debian/changelog \
-#	  debian/tmp-win32/usr/share/doc/$(package)-win32/changelog.Debian
-#	gzip -9nv debian/tmp-win32/usr/share/doc/$(package)-win32/*
-#	install -m 644 debian/copyright debian/tmp-win32/usr/share/doc/$(package)-win32/.
-#
-## Generate md5sums
-#	cd debian/tmp-win32 && find * -type f ! -regex '^DEBIAN/.*' -print0 | LC_ALL=C sort -z | xargs -r0 md5sum > DEBIAN/md5sums
-#
-## Generate deb file
-#	dpkg-gencontrol -pcpio-win32 -Pdebian/tmp-win32
-#	chown -R root.root debian/tmp-win32
-#	chmod -R g-ws debian/tmp-win32
-#	find debian/tmp-win32 -depth -newermt '$(BUILD_DATE)' -print0 | \
-#		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
-#	dpkg-deb --build debian/tmp-win32 ..
+binary-indep:	checkroot build build-win32
+	$(checkdir)
+	$(RM) -r debian/tmp-win32
+	$(INSTALL_DIR) debian/tmp-win32 debian/tmp-win32/DEBIAN
+	$(INSTALL_DIR) debian/tmp-win32/usr/share/doc/$(package)-win32
+# Install directories
+	$(INSTALL_DIR) 	\
+		debian/tmp-win32/usr/share/win32
+ifeq ($(filter $(DEB_BUILD_ARCH), sw_64 loongarch64), )
+# Install files
+	install -m 755 obj-win32/src/cpio.exe debian/tmp-win32/usr/share/win32/
+	i686-w64-mingw32-strip debian/tmp-win32/usr/share/win32/cpio.exe
+endif
+# Install changelog & copyright
+	install -m 644 debian/changelog \
+	  debian/tmp-win32/usr/share/doc/$(package)-win32/changelog.Debian
+	gzip -9nv debian/tmp-win32/usr/share/doc/$(package)-win32/*
+	install -m 644 debian/copyright debian/tmp-win32/usr/share/doc/$(package)-win32/.
+
+# Generate md5sums
+	cd debian/tmp-win32 && find * -type f ! -regex '^DEBIAN/.*' -print0 | LC_ALL=C sort -z | xargs -r0 md5sum > DEBIAN/md5sums
+
+# Generate deb file
+	dpkg-gencontrol -pcpio-win32 -Pdebian/tmp-win32
+	chown -R root.root debian/tmp-win32
+	chmod -R g-ws debian/tmp-win32
+	find debian/tmp-win32 -depth -newermt '$(BUILD_DATE)' -print0 | \
+		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
+	dpkg-deb --build debian/tmp-win32 ..
 
 binary-arch:	checkroot build
 	$(checkdir)
