## cpio 2.13%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Ruben Molina <rmolina@udea.edu.co>, Chris Lamb <lamby@debian.org>
 Build-Depends: texinfo, gettext, autotools-dev, autoconf
-Build-Depends-Indep: mingw-w64 [!sw_64 !loongarch64]
-Standards-Version: 4.1.1
-Homepage: http://www.gnu.org/software/cpio/
-#Vcs-Git: git://git.debian.org/git/private/schizo/cpio
-#Vcs-Browser: http://git.debian.org/?p=private/schizo/cpio/.git
+Build-Depends-Indep: mingw-w64
+Standards-Version: 4.5.0
+Homepage: https://www.gnu.org/software/cpio/
+Vcs-Git: https://salsa.debian.org/lamby/pkg-cpio.git
+Vcs-Browser: https://salsa.debian.org/lamby/pkg-cpio
+Rules-Requires-Root: binary-targets
 
 Package: cpio
 Architecture: any
@@ -16,7 +17,7 @@
 Replaces: cpio-mt
 Conflicts: mt-st (<< 0.6), cpio-mt
 Multi-Arch: foreign
-Suggests: libarchive1
+Suggests: libarchive-dev
 Description: GNU cpio -- a program to manage archives of files
  GNU cpio is a tool for creating and extracting archives, or copying
  files from one place to another.  It handles a number of cpio formats
